(function() {

    "use strict";

    // =============================================
    // 表示後イベント
    // 単一レコード取得（レコード番号が2のものを取得）
    // =============================================
    kintone.events.on("app.record.index.show", function(event) {
        // 実行中のアプリIDを取得
        var appId = kintone.app.getId();
        // 取得条件:実行中のアプリのレコード番号2
        var params = {
            app: appId,
            id: 2
        };
        // レコードを取得してJSON形式で表示
        kintone.api(
            // APIのURL
            kintone.api.url("/k/v1/record", true),
            // GETメソッド
            "GET",
            // 取得条件のパラメータ
            params,
            function(resp) {
                // success:レスポンスをJSON形式で表示する
                console.log("===== 単一レコード取得 ================= >>> ");
                console.log(JSON.stringify(resp['record']));
            },
            function(resp) {
                //error:エラーの場合はメッセージを表示する
                var errmsg = 'レコード取得時にエラーが発生しました。';
                // レスポンスにエラーメッセージが含まれる場合はメッセージを表示する
                if (resp.message !== undefined) {
                    errmsg += '\n' + resp.message;
                }
                alert(errmsg);
            }
        );
    });

    // =============================================
    // 表示後イベント
    // 複数レコード取得
    // =============================================
    kintone.events.on("app.record.index.show", function(event) {
        // アプリID
        var appId = kintone.app.getId();
        // 抽出条件、並び順
        var queryCondition = kintone.app.getQueryCondition();
        // パラメータ配列
        var params = {
            "app": appId,
            "query": queryCondition
        };
        kintone.api(kintone.api.url('/k/v1/records', true), 'GET', params).then(function(resp) {
            // 成功時
            console.log("===== 複数レコード取得 ================= >>> ");
            console.log(JSON.stringify(resp['records']));
        }, function(resp) {
            //error:エラーの場合はメッセージを表示する
            var errmsg = 'レコード取得時にエラーが発生しました。';
            // レスポンスにエラーメッセージが含まれる場合はメッセージを表示する
            if (resp.message !== undefined) {
                errmsg += '\n' + resp.message;
            }
            alert(errmsg);
        });
    });
})();
