(function() {

    "use strict";

    // =============================================
    // 表示後イベント
    // 住所が「東京都」レコード取得
    // =============================================
    kintone.events.on("app.record.index.show", function(event) {
        // アプリID
        var appId = kintone.app.getId();
        // 取得条件:住所が「東京都」
        // パラメータ配列
        var params = {
            "app": appId,
            "fields": ["会社名", "住所"],
            "query": '住所 like "東京都"'
        };
        // レコードを取得してJSON形式で表示
        kintone.api(kintone.api.url('/k/v1/records', true), 'GET', params).then(function(resp) {
            // 成功時
            console.log("===== 住所が「東京都」 ================= >>> ");
            console.log(JSON.stringify(resp['records']));
        }, function(resp) {
            //error:エラーの場合はメッセージを表示する
            var errmsg = 'レコード取得時にエラーが発生しました。';
            // レスポンスにエラーメッセージが含まれる場合はメッセージを表示する
            if (resp.message !== undefined) {
                errmsg += '\n' + resp.message;
            }
            alert(errmsg);
        });
    });
})();
