(function() {

    "use strict";

    kintone.events.on('app.record.edit.submit', function(event) {

        var record = event.record;

        // フィールドコードが"活動履歴"のテーブルオブジェクトを取得
        var tableRecords = record['活動履歴']['value'];

        // テーブルの先頭行が空行なら削除
        if (!tableRecords[0]['value']['活動日']['value']) {
            tableRecords = [];
        }

        // 今日の日付を取得
        var dt = new Date();
        var today = dt.getFullYear() + '-' + (dt.getMonth() + 1) + '-' + dt.getDate();

        // 今日の活動内容で項目が選択されていた場合に以下の処理を実行
        if (record['今日の活動内容']['value']) {
            // テーブルの最後に行を追加
            tableRecords.push(
                {
                    "value": {
                        "活動日": {
                            "type": "DATE",
                            "value": today
                        },
                        "活動内容": {
                            "type": "DROP_DOWN",
                            "value": record['今日の活動内容']['value']
                        },
                        "メモ": {
                            "type": "SINGLE_LINE_TEXT",
                            "value": record['今日のメモ']['value']
                        }
                    }
                }
            );
            record['活動履歴']['value'] = tableRecords;
        }
        return event;
    });
})();
